﻿var currentSetting;
var defaultBitrate = "http://mp3stream.abradio.cz:8000/seejay128.mp3";
var lastBitrate;
var currentVolume;
var imageVolume;
var imageStop;
var imagePlay;

window.onload = function() {
	currentSetting = System.Gadget.Settings.read("bitrate");
	if (currentSetting != ""){
		mediaPlayer.url  = currentSetting;
	} else {
		currentSetting = defaultBitrate;
		mediaPlayer.url = defaultBitrate;
		}
	System.Gadget.settingsUI = "settings.html";
	System.Gadget.onSettingsClosed = SettingsClosed;
	volume.src = "images/volume60.png";
	volumeStatus();
	controlImageMute.src = "images/mute_on.png";
	lastBitrate = currentSetting;
	
	currentVolume = mediaPlayer.settings.volume;
	playbackStatus.innerHTML = currentVolume;
}

function SettingsClosed(event) {
	lastBitrate = currentSetting;
	currentSetting = System.Gadget.Settings.read("bitrate");
	if (event.closeAction == event.Action.commit){
		if(currentSetting != lastBitrate){
		mediaPlayer.url = currentSetting;
		}
	}else if(event.closeAction == event.Action.cancel){
	}
}

function Play() {
	mediaPlayer.controls.play();
}

function Stop() {
	mediaPlayer.controls.stop();
}

function PlayHover() {
	if(controlImagePlay.src == "images/play_active.png"){
	}else{
		imagePlay = controlImagePlay.src;
		playbackStatus.innerHTML = imagePlay;
		controlImagePlay.src = "images/play_hover.png";
	}
}

function PlayUnHover() {
	if(controlImagePlay.src == "images/play_active.png"){
	}else{
	controlImagePlay.src = imagePlay;
	}
}

function StopHover() {
	if(controlImageStop.src == "images/stop_active.png"){
	}else{
		imageStop = controlImageStop.src;
		playbackStatus.innerHTML = imageStop;
		controlImageStop.src = "images/stop_hover.png";
	}
}

function StopUnHover() {
	if(controlImageStop.src == "images/stop_active.png"){
	}else{
	controlImageStop.src = imageStop;
	}
}

function VolumeHover() {
if(controlImageMute.src == "images/mute_off.png"){
	}else{
	imageVolume = controlImageMute.src;
	controlImageMute.src = "images/mute_hover.png";
	}
}

function VolumeUnHover() {
if(controlImageMute.src == "images/mute_off.png"){
	}else{
	controlImageMute.src = imageVolume;
	}
}


function playStateChange(newstate) {
	switch (newstate){ 
	case 1: // Stopped
		//playbackStatus.innerHTML = "Zastaveno";
		controlImagePlay.src = "images/play.png";
		controlImageStop.src = "images/stop_active.png";
		break;

	case 2: // Paused
		//playbackStatus.innerHTML = "Pozastaveno";
		controlImagePlay.src = "images/pause.png";
		controlImageStop.src = "images/stop_active.png";
		break;

	case 3: // Playing
		//playbackStatus.innerHTML = "Přehrávám";
		controlImagePlay.src = "images/play_active.png";
		controlImageStop.src = "images/stop.png";
		break;

	case 6: // Buffering
		//playbackStatus.innerHTML = "Buffering";
		break;

	case 7: // Waiting
		//playbackStatus.innerHTML = "Čekám";
		break;

	case 8: // Media Ended
		//playbackStatus.innerHTML = "Konec média";
		controlImagePlay.src = "images/play.png";
		controlImageStop.src = "images/stop_active.png";
		break;

	case 9: // Ready
		//playbackStatus.innerHTML = "Připraven";
		controlImagePlay.src = "images/play.png";
		controlImageStop.src = "images/stop_active.png";
		getPlayingSong();
		break;
	}
}

function Mute() {
	if (mediaPlayer.settings.mute == 0) {
	currentVolume = mediaPlayer.settings.volume;
		mediaPlayer.settings.mute = 1;
		mediaPlayer.settings.volume = 0;
		controlImageMute.src = "images/mute_off.png";
	} else {
		mediaPlayer.settings.mute = 0;
		controlImageMute.src = "images/mute_on.png";
		mediaPlayer.settings.volume = currentVolume;
	} 
	volumeStatus();
}

function mousewheelVolume() {
	if(mediaPlayer.settings.mute == 1){
		controlImageMute.src = "images/mute_on.png";
	}
	if (event.wheelDelta >= 20){
		mediaPlayer.settings.volume = (mediaPlayer.settings.volume + 10);
	} else {
		mediaPlayer.settings.volume = (mediaPlayer.settings.volume - 10);
	}
	volumeStatus();
}

function volumeStatus(){
	if(mediaPlayer.settings.volume == 0){
		volume.src = "images/volume0.png";
	}
	if(mediaPlayer.settings.volume == 10 || mediaPlayer.settings.volume == 20){
		volume.src = "images/volume20.png";
	}
	if(mediaPlayer.settings.volume == 30 || mediaPlayer.settings.volume == 40){
		volume.src = "images/volume40.png";
	}
	if(mediaPlayer.settings.volume == 50 || mediaPlayer.settings.volume == 60 || mediaPlayer.settings.volume == 70){
	volume.src = "images/volume60.png";
	}
	if(mediaPlayer.settings.volume == 80 || mediaPlayer.settings.volume == 90){
	volume.src = "images/volume80.png";
	}
	if(mediaPlayer.settings.volume == 100 ){
	volume.src = "images/volume100.png";
	}
}